View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
18371Bug reportsSurvey participants (Tokens)public2023-01-26 15:25
Reporterconstantinl Assigned To 
PrioritynormalSeverityminor 
Status acknowledgedResolutionopen 
Product Version3.28.x 
Summary18371: Possible to import a participants CSV file with languages in uppercase
Description

A CSV file with languages in uppercase can be uploaded with the page "Import survey participants from CSV file".
Even if the language is displayed in the list of participants ("FR" for instance), the language is not not recognized when this participant record is edited (language dropdown doesn't display French but the default language).
In addition when the invitation email is sent the URL contains "FR" and not "fr" which then doesn't display the right language when accessing the survey.

Steps To Reproduce

Steps to reproduce

On a closed survey (LS 3.28.x), import the Participants.csv file

Expected result

Based on LS 5.x the items with "FR" (and other languages in uppercase) in the CSV file should be rejected

Actual result

The CSV file is imported
"FR" is displayed in the list of participant
But when this record is edited French is not selected

TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)Version 3.28.28+220912
I will donate to the project if issue is resolvedNo
Browser
Database type & versionMySQL 5.7.39
Server OS (if known)
Webserver software & version (if known)
PHP VersionPHP 7.3.28

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

constantinl

constantinl

2022-09-23 13:10

reporter  

Participants.csv (69 bytes)   
firstname,lastname,email,language
James,Bond,james.bond@mi6.org,FR
Participants.csv (69 bytes)   
ollehar

ollehar

2022-09-23 13:31

administrator   ~71898

Rejected or automatically converted to lower case?

DenisChenu

DenisChenu

2022-09-23 16:26

developer   ~71904

Last edited: 2022-09-23 16:27

Must Reject if we reject anotherstring : it's not a valid language

If anotherstring is accepted : must discuss to reject anotherstring too ;)

ollehar

ollehar

2022-09-23 16:27

administrator   ~71905

We can convert to lower-case before we reject.

DenisChenu

DenisChenu

2022-09-23 16:39

developer   ~71907

Not my opinion.

In 5.X : we show it as error :

DenisChenu

DenisChenu

2022-09-23 16:39

developer   ~71908

(french survey + english)

tokens_723953.csv (205 bytes)   
firstname,lastname,email,language
,,bill@example.org ,EN
,, bill2@example.org , en 
,, bill3@example.org ,en 
,, bill@example.org ; bob@example.org ,en  
,,bill4@example.org , en 
,,bill5@example.org ,en 
tokens_723953.csv (205 bytes)   
gabrieljenik

gabrieljenik

2023-01-19 13:48

manager   ~73499

If I undesrtand correctly this issue only happens in 3.x right?

DenisChenu

DenisChenu

2023-01-19 15:28

developer   ~73501

In 5.X : seems it's not imported. Must confirm
https://bugs.limesurvey.org/view.php?id=18371#c71907

gabrieljenik

gabrieljenik

2023-01-20 12:58

manager   ~73509

I feel we already worked on this.
Will try to reproduce on 5.x

gabrieljenik

gabrieljenik

2023-01-26 15:25

manager   ~73586

On 5.x, the record is not being imported.
We could enhance and make it lower case.

Not sure if we should port that fix to 3.x right now.

Issue History

Date Modified Username Field Change
2022-09-23 13:10 constantinl New Issue
2022-09-23 13:10 constantinl File Added: Participants.csv
2022-09-23 13:31 ollehar Note Added: 71898
2022-09-23 13:31 ollehar Bug heat 0 => 2
2022-09-23 16:23 ollehar Priority none => normal
2022-09-23 16:26 DenisChenu Note Added: 71904
2022-09-23 16:26 DenisChenu Bug heat 2 => 4
2022-09-23 16:27 DenisChenu Note Edited: 71904
2022-09-23 16:27 ollehar Note Added: 71905
2022-09-23 16:39 DenisChenu Note Added: 71907
2022-09-23 16:39 DenisChenu File Added: Capture d’écran du 2022-09-23 16-38-22.png
2022-09-23 16:39 DenisChenu Note Added: 71908
2022-09-23 16:39 DenisChenu File Added: tokens_723953.csv
2022-09-24 00:00 gabrieljenik Status new => acknowledged
2023-01-19 13:48 gabrieljenik Note Added: 73499
2023-01-19 13:48 gabrieljenik Bug heat 4 => 6
2023-01-19 15:28 DenisChenu Note Added: 73501
2023-01-20 12:58 gabrieljenik Note Added: 73509
2023-01-20 12:59 gabrieljenik Assigned To => gabrieljenik
2023-01-20 12:59 gabrieljenik Status acknowledged => assigned
2023-01-20 12:59 gabrieljenik Status assigned => acknowledged
2023-01-26 15:25 gabrieljenik Note Added: 73586
2023-01-26 15:25 gabrieljenik Assigned To gabrieljenik =>